/*******************************************************************************
 * Copyright (c) 2007  NTT DATA CORPORATION
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Version: 1.0.0 - 2007/06/15
 *          initial API and implementation
 *******************************************************************************/
package jp.sourceforge.tomoyo.core.ui.propertysheet.system;

import jp.sourceforge.tomoyo.core.local.model.PolicyElement;
import jp.sourceforge.tomoyo.core.ui.propertysheet.ElementPropertySource;

public class DenyAutobindPropertySource extends ElementPropertySource {
	
	public DenyAutobindPropertySource(PolicyElement element) {
		super(element);
	}

	private static final String PROPERTY_ID_Directive = "id.directive"; //$NON-NLS-1$
	private static final String PROPERTY_ID_PORT = "id.port"; //$NON-NLS-1$

	protected String[] getPropertyIDs() {
		return new String[] {
				PROPERTY_ID_Directive,
				PROPERTY_ID_PORT,
		};
	}

	protected String getPropertyName(String propertyID) {
		if (propertyID.equals(PROPERTY_ID_Directive))
			return Messages.Directive;
		if (propertyID.equals(PROPERTY_ID_PORT))
			return Messages.DenyAutobindPropertySource_Port;
		return null;
	}

	public Object getPropertyValue(Object id) {
		if (id == null)
			return null;
		if (id.equals(PROPERTY_ID_Directive))
			return element.getText(0);
		if (id.equals(PROPERTY_ID_PORT))
			return element.getText(1);
		return null;
	}

}
